package manager

import "strings"

func (m *Manager) initTopic() {
	m.topicMap = map[string]string{}
}

func (m *Manager) GetTopic(channel string) (retval string) {
	channel = strings.ToLower(channel)
	m.topicStateLock.RLock()
	defer m.topicStateLock.RUnlock()
	retval, _ = m.topicMap[channel]
	return
}

func (m *Manager) SaveTopic(channel string, topic string) {
	channel = strings.ToLower(channel)
	m.topicStateLock.Lock()
	defer m.topicStateLock.Unlock()
	m.topicMap[channel] = topic
}
